package banking;

// This class creates a BankingImpl object and activates
// it through the BOA (Basic Object Adaptor).

public class BankingServer
{

	public static void main(String[] args)
	{

		try {

// Initialize the ORB
			CORBA.ORB orb = CORBA.ORB.init();

// Create a BOA
			CORBA.BOA boa = orb.BOA_init();

// Create the banking service implementation. Clients will
// request access to the object by the name "Bank".
			Banking banking = new BankingImpl("Bank");

// Tell the BOA about the banking object
			boa.obj_is_ready(banking);

// Activate all the objects in the BOA
			boa.impl_is_ready();

		} catch (Exception e) {
			System.out.println("Got exception: "+e);
			e.printStackTrace();
		}
	}
}
